# Uses of Class
java.security.cert.PKIXCertPathChecker

Packages that use PKIXCertPathChecker
Package
Description
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.

## Uses of PKIXCertPathChecker in java.security.cert

Subclasses of PKIXCertPathChecker in java.security.cert
Modifier and Type
Class
Description
`class`
`PKIXRevocationChecker`
A `PKIXCertPathChecker` for checking the revocation status of certificates with the PKIX algorithm.
Methods in java.security.cert that return types with arguments of type PKIXCertPathChecker
Modifier and Type
Method
Description
`List<PKIXCertPathChecker>`
PKIXParameters.`getCertPathCheckers()`
Returns the `List` of certification path checkers.
Methods in java.security.cert with parameters of type PKIXCertPathChecker
Modifier and Type
Method
Description
`void`
PKIXParameters.`addCertPathChecker(PKIXCertPathChecker checker)`
Adds a `PKIXCertPathChecker` to the list of certification path checkers.
Method parameters in java.security.cert with type arguments of type PKIXCertPathChecker
Modifier and Type
Method
Description
`void`
PKIXParameters.`setCertPathCheckers(List<PKIXCertPathChecker> checkers)`
Sets a `List` of additional certification path checkers.